﻿@inherits LayoutComponentBase

@using Models.SeasonData

@using Business.Repository.IRepository
@inject IJSRuntime JsRuntime
@inject Blazored.LocalStorage.ILocalStorageService localStorage
@inject NavigationManager NavigationManager
@inject ISeasonRepository SeasonRepository

<ModalDialogContainer />

<div class="page">
    <div class="sidebar">
        <NavMenu />
    </div>

    <div class="main">
        <div class="top-row px-4">
            <div class="col-8">
                <button class="@btn1" @onclick="Click1">Futsal</button>
                <button class="@btn2" @onclick="Click2">Basketball</button>
            </div>
            <div class="col-4 text-right">
                <LoginDisplay></LoginDisplay>
            </div>
        </div>

        <div class="content px-4">
            @Body

        </div>
    </div>
</div>

@code{
    private IEnumerable<SeasonDTO> Seasons { get; set; } = new List<SeasonDTO>();
    private SeasonDTO ActiveSeason { get; set; } = new SeasonDTO();
    private string btn1 { get; set; } = "btn";
    private string btn2 { get; set; } = "btn";
    private string sport = "";
    private int? sportId;

    protected override async Task OnInitializedAsync()
    {
        sport = await localStorage.GetItemAsync<string>("sportName");
        sportId = await localStorage.GetItemAsync<int>("sportId");

        if (sportId != 0)
        {
            Seasons = await SeasonRepository.GetAllFromSport(sportId.Value);
            if (Seasons != null)
            {
                ActiveSeason = Seasons.Where(x => x.IsActive == true).SingleOrDefault();
            }
            if (ActiveSeason != null)
            {
                await localStorage.SetItemAsync("seasonName", ActiveSeason.Name);
                await localStorage.SetItemAsync("seasonId", ActiveSeason.Id);
            }
            else
            {
                await localStorage.RemoveItemAsync("seasonName");
                await localStorage.RemoveItemAsync("seasonId");
            }
        }

        if (sport != null && sport.Equals("Futsal"))
        {
            btn1 = btn1 + " active";
        }
        else if (sport != null && sport.Equals("Basketball"))
        {
            btn2 = btn2 + " active";
        }
    }

    private async void Click1()
    {
        await localStorage.RemoveItemAsync("sportName");
        await localStorage.SetItemAsync("sportName", "Futsal");
        await localStorage.RemoveItemAsync("sportId");
        await localStorage.SetItemAsync("sportId", 1);
        btn1 = btn1 + " active";
        btn2 = "btn";
        NavigationManager.NavigateTo("/", true);

    }
    private async void Click2()
    {
        await localStorage.RemoveItemAsync("sportName");
        await localStorage.SetItemAsync("sportName", "Basketball");
        await localStorage.RemoveItemAsync("sportId");
        await localStorage.SetItemAsync("sportId", 2);
        btn2 = btn2 + " active";
        btn1 = "btn";
        NavigationManager.NavigateTo("/", true);
    }
}